org.eclipse.net4j.util.ui.handlers

## Class AbstractBaseHandler<T>

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.net4j.util.ui.handlers.SafeHandler
      - - org.eclipse.net4j.util.ui.handlers.LongRunningHandler
        - - org.eclipse.net4j.util.ui.handlers.AbstractBaseHandler<T>

- All Implemented Interfaces:
    IHandler, IHandler2

      public abstract class AbstractBaseHandler<T>
      extends LongRunningHandler

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<T>` | `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBaseHandler(Class<T> type, Boolean multi)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<T>` | `collectElements(ISelection selection)`
    `protected boolean` | `updateSelection(ISelection selection)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.handlers.LongRunningHandler

      `cancel, checkCancelation, doExecute, doExecute, getBundleID, getTotalWork, preRun, preRun, safeExecute, setTotalWork`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.handlers.SafeHandler

      `execute, extractEventDetails, getCommand, getSelection, getText, setEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

      `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elements

          protected List<T> elements

  - ### Constructor Detail

    - #### AbstractBaseHandler

          public AbstractBaseHandler(Class<T> type,
                                     Boolean multi)

  - ### Method Detail

    - #### updateSelection

          protected boolean updateSelection(ISelection selection)

      Overrides:
        `updateSelection` in class `SafeHandler`

    - #### collectElements

          protected List<T> collectElements(ISelection selection)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html